tools: flex: fix build with automake 1.15.1
authorJo-Philipp Wich <jo@mein.io>
Wed, 5 Jul 2017 17:19:30 +0000 (19:19 +0200)
committerJo-Philipp Wich <jo@mein.io>
Wed, 5 Jul 2017 17:22:39 +0000 (19:22 +0200)
After the update of GNU automake, the flex configure fails with

    configure.ac:31: error: version mismatch.  This is Automake 1.15.1,
    configure.ac:31: but the definition used by this AM_INIT_AUTOMAKE
    configure.ac:31: comes from Automake 1.15.

Apply the autoreconf host fixup to properly regenerate configure before
to avoid triggering the version mismatch. Also refresh the patch while
we're at it.

Fixes FS#885.

Signed-off-by: Jo-Philipp Wich <jo@mein.io>
tools/flex/Makefile
tools/flex/patches/100-disable-tests-docs.patch

index 760721a..1398b1a 100644 (file)
@@ -13,6 +13,7 @@ PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://github.com/westes/flex/releases/download/v$(PKG_VERSION)/
 PKG_HASH:=e87aae032bf07c26f85ac0ed3250998c37621d95f8bd748b31f15b33c45ee995
 
+HOST_FIXUP:=autoreconf
 HOST_BUILD_PARALLEL:=1
 
 include $(INCLUDE_DIR)/host-build.mk
index f298bc9..f7097f2 100644 (file)
@@ -1,8 +1,8 @@
 --- a/Makefile.am
 +++ b/Makefile.am
-@@ -45,10 +45,7 @@ EXTRA_DIST = \
+@@ -43,10 +43,7 @@ EXTRA_DIST = \
  SUBDIRS = \
-       lib \
        src \
 -      doc \
 -      examples \